Bug 6011 - leap year calculation errors
Summary: leap year calculation errors
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: timetool   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-17 01:05 UTC by Matt Domsch
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-18 17:32:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 1999-10-17 01:05:28 UTC
The following issues were found with time tool (a graphical
user
interface for setting the current date and time on a
system):

1.) When attempting to set the date to a date that lies
between Feb.
2-29 of a leap year the following error occurs:
ERROR: SYNTAX ERROR IN EXPRESSION "2000 /"

note: the system time can still be set and appears to
function
correctly.

2.) We set the date and time to 11:55p.m. on Dec. 31,
1999.  We then
shutdown the machine.  When we turned on the machine 10
minutes later.
The time now read 6:04 a.m. of Jan 1, 2000.  A difference of
approximately 6 hours.

note: if the Linux OS is not shutdown from Dec. 31, 1999,
to Jan 1,
2000, the time change carries over correctly.  This error
also occured
when going from the year 2000 to 2001 and 2001 to 2002.  No
other years
were tested.

Comment 1 Matt Domsch 1999-10-17 01:09:59 UTC
The system time zone is CST6CDT, which may help to explain the 6 hour
clock advance.

Comment 2 Bill Nottingham 1999-10-18 14:08:59 UTC
First is fixed in timetool-2.7.1 (there was a typo...)


Note You need to log in before you can comment on or make changes to this bug.